<script setup lang="ts">
import RuleTemplate from '../../RuleTemplate.vue'

const props = defineProps<{ node: any }>()

const config = computed(() => {
  return props.node.data.teacher || {}
})
</script>

<template>
  <RuleTemplate :node="node" step>
    <template #header-answer>
      进入该步骤的时间
      <p class="is-answer" v-if="config.date_type === '0'">{{ config.date_rule_name }}{{ config.date }}</p>
      <p class="is-answer" v-else>{{ config.week_name }}</p>
    </template>
  </RuleTemplate>
</template>
